Loading...
Searching...
No Matches
Opm::FlowLinearSolverParameters Struct Reference

This class carries all parameters for the NewtonIterationBlackoilInterleaved class. More...

`#include <FlowLinearSolverParameters.hpp>`

## Public Member Functions

void | init (bool cprRequestedInDataFile)
void | reset ()

## Static Public Member Functions

static void | registerParameters ()

## Public Attributes

double | linear_solver_reduction_
double | relaxed_linear_solver_reduction_
int | linear_solver_maxiter_
int | linear_solver_restart_
int | linear_solver_verbosity_
double | ilu_relaxation_
int | ilu_fillin_level_
MILU_VARIANT | ilu_milu_
bool | ilu_redblack_
bool | ilu_reorder_sphere_
bool | newton_use_gmres_
bool | ignoreConvergenceFailure_
bool | scale_linear_system_
bool | is_nldd_local_solver_
std::string | linsolver_
bool | linear_solver_print_json_definition_
int | cpr_reuse_setup_
int | cpr_reuse_interval_
std::string | accelerator_mode_
int | gpu_device_id_
int | opencl_platform_id_
bool | opencl_ilu_parallel_
Parameters::LinearSolverAcceleratorType | linear_solver_accelerator_
bool | gpu_aware_mpi_
bool | verify_gpu_aware_mpi_
bool | cpr_weights_thread_parallel_

## Detailed Description

This class carries all parameters for the NewtonIterationBlackoilInterleaved class.

The documentation for this struct was generated from the following files:

- opm/simulators/linalg/FlowLinearSolverParameters.hpp
- opm/simulators/linalg/FlowLinearSolverParameters.cpp